Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228434 - Review Request: x2vnc - Dual screen hack for VNC
Summary: Review Request: x2vnc - Dual screen hack for VNC
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 05:03 UTC by Michael Stahnke
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-08 00:31:48 UTC
lxtnow: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2007-02-13 05:03:09 UTC
Spec URL: http://www.stahnkage.com/rpms/x2vnc.spec
SRPM URL: http://www.stahnkage.com/rpms/x2vnc-1.7.2-1.src.rpm
Description: 
This program will let you use two screens on two different comptuers
as if they were connected to the same computer.  
Even if one computer runs non-POSIX operating systems.

Comment 1 Xavier Lamien 2007-02-18 00:36:34 UTC
So, spec file:

* BuildRequires:

 - All BR must not be on the same line (max 76), vim is your friend...
 - There're some BR which're not necessary to be set ( such as "make",
"autoconf", "gcc" "and automake").
 - All others are not quite good, you must use -devel package (e.g libXext-devel).
 - xorg-x11-proto-devel is redundant as libX11-devel (which should be set
instead of libX11) is require by libXinerama-devel.
 - libX11-devel is redundant as libXinerama-devel requires libX11-devel.
 - check for some other BR too.

* Requires

 - You should really think about what x2vnc requires to be able to start and
work correctly.
 - According to me, x2vnc doesn't work alone.
 - Check this.

* %prep

 - the use of "cp -f x2vnc.man x2vnc.man.orig" is useless. You don't need to
create an save file.
 - Also the use of "mv -f new_man x2vnc.man" is useless.
 - Just use :
   iconv -f iso-8859-5 -t utf-8 x2vnc.man > x2vnc.man
   instead of
   iconv -f iso-8859-5 -t utf-8 x2vnc.man > new_man

* %build
 - sounds good.

* %install

 - The use of "mkdir -p $RPM_BUILD_ROOT" is useless.
   Buildroot is already created by default.
 - You should add timestamp in your "make install" : INSTALL="install -p".

* %changelog

 - please add a DOT to "Initial packaging" sentence.


Comment 2 Michael Stahnke 2007-02-21 05:43:36 UTC
Spec URL: http://www.stahnkage.com/rpms/x2vnc.spec
SRPM URL: http://www.stahnkage.com/rpms/x2vnc-1.7.2-2.src.rpm



>* BuildRequires:
>
> - All BR must not be on the same line (max 76), vim is your friend...
Fixed
> - There're some BR which're not necessary to be set ( such as "make",
>"autoconf", "gcc" "and automake").
Removed.  Not sure what I was thinking here :)
> - All others are not quite good, you must use -devel package (e.g libXext-devel).
Reworked this section.  
> - xorg-x11-proto-devel is redundant as libX11-devel (which should be set
>instead of libX11) is require by libXinerama-devel.
> - libX11-devel is redundant as libXinerama-devel requires libX11-devel.
> - check for some other BR too.
I pulled all devel libs that appear to be needed and tried installing each to
see if they pulled each other.  They don't appear to, at least not the final set
listed in BR.
>
>* Requires
>
> - You should really think about what x2vnc requires to be able to start and
>work correctly.
> - According to me, x2vnc doesn't work alone.
> - Check this.
x2vnc requires almost nothing to run.  Look at the spec for xterm, it requires
nothing.  Ideally, I would require an X11 session of some sort, but I am not
sure what syntax to use for "X must be present".
>
>* %prep
>
> - the use of "cp -f x2vnc.man x2vnc.man.orig" is useless. You don't need to
>create an save file.
> - Also the use of "mv -f new_man x2vnc.man" is useless.
> - Just use :
>   iconv -f iso-8859-5 -t utf-8 x2vnc.man > x2vnc.man
>   instead of
>   iconv -f iso-8859-5 -t utf-8 x2vnc.man > new_man
Changed
>
>* %build
> - sounds good.
>
>* %install
>
> - The use of "mkdir -p $RPM_BUILD_ROOT" is useless.
>   Buildroot is already created by default.
> - You should add timestamp in your "make install" : INSTALL="install -p".
Changed
>
>* %changelog
>
> - please add a DOT to "Initial packaging" sentence.
Ok


Comment 3 Mamoru TASAKA 2007-02-22 03:44:22 UTC
Just one comment:

(In reply to comment #1)
> 
> * %prep
> 
>  - the use of "cp -f x2vnc.man x2vnc.man.orig" is useless. You don't need to
> create an save file.
>  - Also the use of "mv -f new_man x2vnc.man" is useless.
>  - Just use :
>    iconv -f iso-8859-5 -t utf-8 x2vnc.man > x2vnc.man
>    instead of
>    iconv -f iso-8859-5 -t utf-8 x2vnc.man > new_man

  This is forbidden. Direct redirect use of iconv destroys the
  original file. Actually in -2 binary man file is broken.

Comment 4 Xavier Lamien 2007-02-22 11:34:25 UTC

and what about the use of
find ./man -name "*.1" -exec iconv -f iso8859-2 -t utf8 {} -o {}utf \;


Comment 5 Mamoru TASAKA 2007-02-22 15:05:28 UTC
Well, actually files needed to be fixed are
only ./x2vnc.man (in build directory), aren't they?

So simply in %prep stage:
---------------------------------------------
for f in README x2vnc.man ; do
  iconv -f ISO08859-2 -t UTF-8 $f > $f.tmp && \
    mv $f.tmp $f || rm -f $f.tmp
done
---------------------------------------------
will be simpler (this is my usual way).

Comment 6 Xavier Lamien 2007-02-23 03:42:30 UTC
And I do Agree with that...

It's goog and clean.


Comment 8 Xavier Lamien 2007-02-26 20:37:15 UTC
full review is coming up ;-)

Comment 9 Xavier Lamien 2007-02-27 17:42:04 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License is GPL
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
OK - Package has correct buildroot
OK - BuildRequires correct
OK - Requires isn't required
OK - Patch is correctly applied and work.
OK - Package compiles and builds on at least one arch (i386).
OK - Package preserves timestamps on files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Packages %doc files present and don't affect runtime.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package has a correct %changelog section.

OK - Mock build on i386 and x86_64 (FC-6 and FC-devel)
OK - RPMLINT is silent on both RPM and SRPM.


SHOULD Items:

OK - Should build on all supported archs
OK - Should function as described.
OK - Should package latest version

----

APPROVED by me

----


Comment 10 Mamoru TASAKA 2007-03-03 17:58:06 UTC
seems okay also to me, except that I don't think the following
lines are needed:
------------------------------------------
pwd
ls
------------------------------------------

Comment 11 Xavier Lamien 2007-03-03 20:11:15 UTC
Ho...I omited to mentione that.

Michael, remove "pwd" and "ls" commands before request CVSSync.

Mamoru, i wonder whether the %{?dist} tag shouldn't be used to avoid trouble in
cvs import/build procedure ?

Comment 12 Michael Stahnke 2007-03-04 04:10:04 UTC
New Package CVS Request
=======================
Package Name: x2vnc
Short Description:  Dual screen hack for VNC
Owners: mastahnke@gmail.com
Branches: FC6
InitialCC: 

Comment 13 Michael Stahnke 2007-03-04 04:11:03 UTC
I also removed the pwd and ls, and will put that new version in CVS .


Note You need to log in before you can comment on or make changes to this bug.